package envoy.schema;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>UserStatus.java</strong><br>
 * Created: <strong>27 Nov 2019</strong><br>
 * 
 * @author Maximilian K&auml;fer
 */
@XmlType(name = "")
@XmlEnum
public enum UserStatus {

	Online, DoNotDisturb, AFK, Offline;

	public String value() { return name(); }

	public static UserStatus fromValue(String v) { return valueOf(v); }
}
